IMPORTANT ANNOUNCEMENT

On Monday, April 7th, a serious security vulnerability in OpenSSL – software which two-thirds of the Internet uses to keep connections secure – was announced and nicknamed “Heartbleed.” This vulnerability allows an attacker to steal sensitive data (such as account information and passwords) from various web services and clients.

Within a few hours of the announcement the team at GEOS immediately verified that none of our systems had been compromised and the systems we utilize were found not to be vulnerable to Heartbleed, also known as CVE-2014-1060.

As a precaution for our customers we regenerated the keys to all of our certificates. This allows us to be confident that our systems continue to be safe and secure.

Click Here To Continue